/*
 * Invite Middleware
 * -------------------------------------------------------------
 * Put some description here!
 */
class Invite {

    /*
     * Run the middleware test.
     * This method is required by all Flitter middleware.
     * It should either call the next function in the stack,
     * or it should handle the response accordingly.
     */
    test(req, res, next, args = {}){
        if ( req.session.invite && !req.originalUrl.includes('/dash/v1/invitation/accept') ){
            return res.redirect('/dash/v1/invitation/accept')
        }

        /*
         * Call the next function in the stack.
         */
        next()
    }
}

module.exports = Invite